> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.brevo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.brevo.com/_mcp/server.

# Returns the information for all your created SMS campaigns

GET https://api.brevo.com/v3/smsCampaigns

Retrieve a paginated list of all your SMS campaigns with their statistics and recipient information. Results can be filtered by status and date range, with a default limit of 500 and maximum of 1000 per page. The sort order defaults to descending by creation date; date filters are only available when status is not passed or is set to sent.

Reference: https://developers.brevo.com/reference/get-sms-campaigns

## Authentication

- `api-key` header (required) — The API key should be passed in the request headers as `api-key` for authentication.

## Request

### Query parameters

- `status` (enum, optional) — Status of campaign.
  - Allowed values: `suspended`, `archive`, `sent`, `queued`, `draft`, `inProcess`
- `startDate` (string, optional) — **Mandatory if endDate is used.** Starting (urlencoded) UTC date-time (YYYY-MM-DDTHH:mm:ss.SSSZ) to filter the sent SMS campaigns. **Prefer to pass your timezone in date-time format for accurate result.** Only available if `status` is not passed or is set to `sent`. `startDate` must not be in the future.
- `endDate` (string, optional) — **Mandatory if startDate is used.** Ending (urlencoded) UTC date-time (YYYY-MM-DDTHH:mm:ss.SSSZ) to filter the sent SMS campaigns. **Prefer to pass your timezone in date-time format for accurate result.** Only available if `status` is not passed or is set to `sent`. `endDate` must not be in the future.
- `limit` (long, optional, default: 500) — Number of documents per page
- `offset` (long, optional, default: 0) — Beginning point in the list to retrieve from.
- `sort` (enum, optional, default: desc) — Sort the results in the ascending/descending order of record creation. Default order is **descending** if `sort` is not passed
  - Allowed values: `asc`, `desc`

## Response

### 200

SMS campaigns information

- `campaigns` (list of object, optional)
  - `content` (string, required) — Content of the SMS Campaign
  - `createdAt` (string, required) — Creation UTC date-time of the SMS campaign (YYYY-MM-DDTHH:mm:ss.SSSZ)
  - `id` (long, required) — ID of the SMS Campaign
  - `modifiedAt` (string, required) — UTC date-time of last modification of the SMS campaign (YYYY-MM-DDTHH:mm:ss.SSSZ)
  - `name` (string, required) — Name of the SMS Campaign
  - `sender` (string, required) — Sender of the SMS Campaign
  - `status` (enum, required) — Status of the SMS Campaign
    - Allowed values: `draft`, `sent`, `archive`, `queued`, `suspended`, `inProcess`
  - `recipients` (object, required)
    - `exclusionLists` (list of long, required)
    - `lists` (list of long, required)
    - `excludedSegments` (list of long, optional) — Segment IDs excluded from the campaign
    - `segments` (list of long, optional) — Segment IDs included in the campaign
  - `statistics` (object, required)
    - `answered` (long, required) — Number of replies to the SMS
    - `delivered` (long, required) — Number of delivered SMS
    - `hardBounces` (long, required) — Number of hardbounced SMS
    - `processing` (long, required) — Number of processing SMS
    - `sent` (long, required) — Number of sent SMS
    - `softBounces` (long, required) — Number of softbounced SMS
    - `unsubscriptions` (long, required) — Number of unsubscription SMS
  - `organisationPrefix` (string, optional) — A recognizable prefix added as the Brand Name before the message content. Empty string if not set.
  - `scheduledAt` (string, optional) — UTC date-time on which SMS campaign is scheduled. Should be in YYYY-MM-DDTHH:mm:ss.SSSZ format. Empty string if not scheduled.
  - `sentDate` (string, optional) — UTC date-time on which the SMS campaign was sent (YYYY-MM-DDTHH:mm:ss.SSSZ). Only available if the campaign status is 'sent'.
  - `unsubscribeInstruction` (string, optional) — Instructions to unsubscribe from future communications. Empty string if not set.
- `count` (long, optional) — Number of SMS campaigns retrieved

## Examples

**Response**

```json
{
  "campaigns": [
    {
      "content": "Visit our Store and get some discount !",
      "createdAt": "2017-06-01T12:30:00Z",
      "id": 2,
      "modifiedAt": "2017-05-01T12:30:00Z",
      "name": "PROMO CODE",
      "sender": "MyCompany",
      "status": "sent",
      "recipients": {
        "exclusionLists": [
          13
        ],
        "lists": [
          21
        ]
      },
      "statistics": {
        "answered": 2,
        "delivered": 2987,
        "hardBounces": 1,
        "processing": 0,
        "sent": 3000,
        "softBounces": 3,
        "unsubscriptions": 3
      },
      "organisationPrefix": "MyCompany",
      "scheduledAt": "2017-06-01T12:30:00Z",
      "sentDate": "2017-06-01T12:30:00Z",
      "unsubscribeInstruction": "send Stop if you want to unsubscribe."
    },
    {
      "content": "Summer Sale is starting tomorrow. Get extra 10% with this code:SUM17",
      "createdAt": "2017-06-01T12:30:00Z",
      "id": 10,
      "modifiedAt": "2017-05-01T12:30:00Z",
      "name": "SUMMER SALE",
      "sender": "MyCompany",
      "status": "draft",
      "recipients": {
        "exclusionLists": [
          13
        ],
        "lists": [
          21
        ]
      },
      "statistics": {
        "answered": 2,
        "delivered": 2987,
        "hardBounces": 1,
        "processing": 0,
        "sent": 3000,
        "softBounces": 3,
        "unsubscriptions": 3
      },
      "organisationPrefix": "",
      "scheduledAt": "2017-08-04T12:30:00Z",
      "unsubscribeInstruction": ""
    }
  ],
  "count": 12
}
```

**SDK Code**

```typescript response
import { BrevoClient } from "@getbrevo/brevo";

async function main() {
    const client = new BrevoClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.smsCampaigns.getSmsCampaigns({});
}
main();

```

```python response
from brevo import Brevo

client = Brevo(
    api_key="YOUR_API_KEY_HERE",
)

client.sms_campaigns.get_sms_campaigns()

```

```php response
<?php

namespace Example;

use Brevo\Brevo;
use Brevo\SmsCampaigns\Requests\GetSmsCampaignsRequest;

$client = new Brevo(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->smsCampaigns->getSmsCampaigns(
    new GetSmsCampaignsRequest([]),
);

```

```go response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.brevo.com/v3/smsCampaigns"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby response
require 'uri'
require 'net/http'

url = URI("https://api.brevo.com/v3/smsCampaigns")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.brevo.com/v3/smsCampaigns")
  .header("api-key", "<apiKey>")
  .asString();
```

```csharp response
using RestSharp;

var client = new RestClient("https://api.brevo.com/v3/smsCampaigns");
var request = new RestRequest(Method.GET);
request.AddHeader("api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift response
import Foundation

let headers = ["api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.brevo.com/v3/smsCampaigns")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```